local function DeepCopy(object) -- Code below is partly from DCS MOOSE https://github.com/FlightControl-Master/MOOSE
-- Kopiert (auch verschachtelte) Tables
  local lookup_table = {}
  local function _copy(object)
    if type(object) ~= "table" then
      return object
    elseif lookup_table[object] then
      return lookup_table[object]
    end
    local new_table = {}
    lookup_table[object] = new_table
    for index, value in pairs(object) do
      new_table[_copy(index)] = _copy(value)
    end
    return setmetatable(new_table, getmetatable(object))
  end
  local objectreturn = _copy(object)
  return objectreturn
end

local function MTableGetDictkey(_mtable) --- Funktion die die Namen der Gruppen usw aus der Dictionary ausliest
  local Temp = _mtable
  for _key, _value in pairs(_mtable) do
    if _key == "name" then
      Temp.name = env.getValueDictByKey(_value)
    elseif (type(_value) == "table") then
      Temp[_key] = MTableGetDictkey(_value)
    end
  end
  return Temp
end

local function FindGroupByName(GroupName) -- Code below is partly from DCS MOOSE https://github.com/FlightControl-Master/MOOSE
  local groupTable = {}
  groupTable.Template = {}
  for CoalitionName, Coalition in pairs(env.mission.coalition) do
    if type(Coalition) == 'table' and Coalition.country then --there is a country table
        for cntry_id, Country in pairs(Coalition.country) do
        groupTable.CountryID = Country.id
          for obj_type_name, obj_type_data in pairs(Country) do
            if ((type(obj_type_data) == 'table') and obj_type_data.group and (type(obj_type_data.group) == 'table') and (#obj_type_data.group > 0)) then
              for group_num, GroupTemplate in pairs(obj_type_data.group) do
                if env.getValueDictByKey(GroupTemplate.name) == GroupName then
                  groupTable.Template = DeepCopy(MTableGetDictkey(GroupTemplate))
                  groupTable.Template.lateActivation = false
                  --_gtemplate.Template.groupId = nil
                  return groupTable
                end
              end --for group_num, GroupTemplate in pairs(obj_type_data.group) do
            end --if ((type(obj_type_data) == 'table') and obj_type_data.group and (type(obj_type_data.group) == 'table') and (#obj_type_data.group > 0)) then
          end --for obj_type_name, obj_type_data in pairs(cntry_data) do
        end --for cntry_id, cntry_data in pairs(coa_data.country) do
    end --if type(Coalition) == 'table' and coa_data.country then --there is a country table
  end --for coa_name, coa_data in pairs(mission.coalition) do
end

function RespawnPlanes(groupName)
  local c_group = FindGroupByName(groupName)
  coalition.addGroup(c_group.CountryID, Group.Category.AIRPLANE, c_group.Template)
end
